libmultidimensional-perl_0.014-1+b1_i386.deb


Advertisement

Description

libmultidimensional-perl - Perl pragma to disable multidimensional array emulation

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmultidimensional-perl_0.014-1+b1_i386.deb
Package name libmultidimensional-perl
Package version 0.014
Package release 1+b1
Package architecture i386
Package type deb
Category devel::lang:perl devel::library implemented-in::c implemented-in::perl perl role::devel-lib
Homepage https://metacpan.org/release/multidimensional
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 8.65 KB
Installed size 37.00 KB
Perl's multidimensional array emulation stems from the days before the
language had references, but these days it mostly serves to bite you
when you typo a hash slice by using the $ sigil instead of @.
This module lexically makes using multidimensional array emulation a
fatal error at compile time. To enable it, simply say
no multidimensional;
at the beginning of your script.

Alternatives

Package Version Architecture Repository
libmultidimensional-perl_0.014-1+b1_amd64.deb 0.014 amd64 Debian Main
libmultidimensional-perl - - -

Requires

Name Value
libb-hooks-op-check-perl -
libc6 >= 2.1.3
perl >= 5.28.0-3
perlapi-5.28.0 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmultidimensional-perl_0.014-1+b1_i386.deb
Source Package libmultidimensional-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmultidimensional-perl deb package:
    # sudo apt-get install libmultidimensional-perl

Files

Path
/usr/lib/i386-linux-gnu/perl5/5.28/multidimensional.pm
/usr/lib/i386-linux-gnu/perl5/5.28/auto/multidimensional/multidimensional.so
/usr/share/doc/libmultidimensional-perl/changelog.Debian.gz
/usr/share/doc/libmultidimensional-perl/changelog.Debian.i386.gz
/usr/share/doc/libmultidimensional-perl/changelog.gz
/usr/share/doc/libmultidimensional-perl/copyright
/usr/share/man/man3/multidimensional.3pm.gz

Changelog

2018-05-05 - gregor herrmann <gregoa@debian.org>
libmultidimensional-perl (0.014-1) unstable; urgency=medium
* Team upload.
[ Damyan Ivanov ]
* declare conformance with Policy 4.1.3 (no changes needed)
[ Salvatore Bonaccorso ]
* Update Vcs-* headers for switch to salsa.debian.org
[ gregor herrmann ]
* Import upstream version 0.014.
* Update (build) dependencies.
* Declare compliance with Debian Policy 4.1.4.
* Bump debhelper compatibility level to 10.
2017-10-08 - Florian Schlichting <fsfs@debian.org>
libmultidimensional-perl (0.013-1) unstable; urgency=medium
* Import upstream version 0.013
* Update upstream metadata
* Update copyright years
* Add copyright paragraph for ppport.h
* Declare compliance with Debian Policy 4.1.1
2016-07-02 - gregor herrmann <gregoa@debian.org>
libmultidimensional-perl (0.012-1) unstable; urgency=low
* Team upload.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Florian Schlichting ]
* Imported Upstream version 0.011.
* Dropped fix_pod_typo.patch, applied upstream.
* Email change: Florian Schlichting -> fsfs@debian.org.
* Bumped Standards-Version to 3.9.4 (no change).
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
* Fix typo in long description. Thanks to Pascal De Vuyst for the bug
report. (Closes: #745286)
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
* Add debian/upstream/metadata.
* Import upstream version 0.012.
* Declare compliance with Debian Policy 3.9.8.
* Remove version constraint from libb-hooks-op-check-perl.
Already satisfied in oldstable.
* Set bindnow linker flag in debian/rules.
2012-04-09 - Florian Schlichting <fschlich@zedat.fu-berlin.de>
libmultidimensional-perl (0.010-1) unstable; urgency=low
* Initial Release. (Closes: #668105)

See Also

Package Description
libmultiverse-core-java-doc_0.7.0-4_all.deb Documentation for libmultiverse-core-java
libmultiverse-core-java_0.7.0-4_all.deb Java library implementing Software Transactional Memory (STM)
libmumps-5.1.2_5.1.2-4+b2_i386.deb Direct linear systems solver - parallel shared libraries
libmumps-dev_5.1.2-4+b2_i386.deb Direct linear systems solver - parallel development files
libmumps-ptscotch-5.1.2_5.1.2-4+b2_i386.deb Direct linear systems solver - PTScotch-version shared libraries
libmumps-ptscotch-dev_5.1.2-4+b2_i386.deb Direct linear systems solver - PTScotch-version development files
libmumps-scotch-5.1.2_5.1.2-4+b2_i386.deb Direct linear systems solver - Scotch-version shared libraries
libmumps-scotch-dev_5.1.2-4+b2_i386.deb Direct linear systems solver - Scotch-version development files
libmumps-seq-5.1.2_5.1.2-4+b2_i386.deb Direct linear systems solver - non-parallel shared libraries
libmumps-seq-dev_5.1.2-4+b2_i386.deb Direct linear systems solver - non-parallel development files
libmunge-dev_0.5.13-2_i386.deb authentication service for credential -- development package
libmunge-maven-plugin-java_1.0-2_all.deb Maven plugin to pre-process Java code
libmunge2_0.5.13-2_i386.deb authentication service for credential -- library package
libmuparser-dev_2.2.6.1+dfsg-1_i386.deb fast mathematical expressions parse library (development)
libmuparser2v5_2.2.6.1+dfsg-1_i386.deb fast mathematical expressions parser library (runtime)
Advertisement
Advertisement